### Hierarchy

- ISpecification

## Index

### Properties

- accept
- centerBrowserLocation
- centerLat
- centerLng
- channelId
- checked
- class
- cols
- countdownInSec
- direction
- elements
- enabled
- enriched
- exact
- format
- height
- id
- interactionContentClassName
- mapType
- markerIcon
- max
- maxCompressSize
- maxSelections
- maxSize
- min
- name
- nerStrategies
- ordered
- placeholder
- position
- regex
- required
- routeEndIcon
- routePoints
- routeStartIcon
- rows
- selected
- selectedMarkerIcon
- sieve
- size
- source
- src
- step
- text
- timestamp
- trigger
- type
- value
- valueType
- values
- width
- wrapped
- zoom
- zoomByRadius

## Properties

### Optional accept

accept: undefined | string

- Defined in lib/api/ISpecification.ts:33

### Optional centerBrowserLocation

centerBrowserLocation: undefined | false | true

- Defined in lib/api/ISpecification.ts:31

### Optional centerLat

centerLat: undefined | number

- Defined in lib/api/ISpecification.ts:26

### Optional centerLng

centerLng: undefined | number

- Defined in lib/api/ISpecification.ts:27

### Optional channelId

channelId: undefined | string

- Defined in lib/api/ISpecification.ts:54

### Optional checked

checked: undefined | string

- Defined in lib/api/ISpecification.ts:23

### Optional class

class: undefined | string

- Defined in lib/api/ISpecification.ts:11

### Optional cols

cols: undefined | number

- Defined in lib/api/ISpecification.ts:41

### Optional countdownInSec

countdownInSec: undefined | number

- Defined in lib/api/ISpecification.ts:35

### Optional direction

direction: undefined | string

- Defined in lib/api/ISpecification.ts:45

### Optional elements

elements: ISpecification[]

- Defined in lib/api/ISpecification.ts:6

### Optional enabled

enabled: undefined | false | true

- Defined in lib/api/ISpecification.ts:56

### Optional enriched

enriched: undefined | object

- Defined in lib/api/ISpecification.ts:57

### Optional exact

exact: undefined | false | true

- Defined in lib/api/ISpecification.ts:22

### Optional format

format: "qr" | "bar"

- Defined in lib/api/ISpecification.ts:39

### Optional height

height: undefined | string

- Defined in lib/api/ISpecification.ts:15

### Optional id

id: undefined | string

- Defined in lib/api/ISpecification.ts:10

### Optional interactionContentClassName

interactionContentClassName: undefined | string

- Defined in lib/api/ISpecification.ts:55

### Optional mapType

mapType: "google" | "osm" | "here"

- Defined in lib/api/ISpecification.ts:24

### Optional markerIcon

markerIcon: undefined | string

- Defined in lib/api/ISpecification.ts:46

### Optional max

max: undefined | string

- Defined in lib/api/ISpecification.ts:18

### Optional maxCompressSize

maxCompressSize: undefined | number

- Defined in lib/api/ISpecification.ts:42

### Optional maxSelections

maxSelections: undefined | number

- Defined in lib/api/ISpecification.ts:49

### Optional maxSize

maxSize: undefined | number

- Defined in lib/api/ISpecification.ts:34

### Optional min

min: undefined | string

- Defined in lib/api/ISpecification.ts:17

### Optional name

name: undefined | string

- Defined in lib/api/ISpecification.ts:9

### Optional nerStrategies

nerStrategies: Map<string, any>

- Defined in lib/api/ISpecification.ts:32

### Optional ordered

ordered: undefined | false | true

- Defined in lib/api/ISpecification.ts:48

### Optional placeholder

placeholder: undefined | string

- Defined in lib/api/ISpecification.ts:30

### Optional position

position: "left" | "right"

- Defined in lib/api/ISpecification.ts:7

### Optional regex

regex: undefined | string

- Defined in lib/api/ISpecification.ts:29

### Optional required

required: undefined | false | true

- Defined in lib/api/ISpecification.ts:28

### Optional routeEndIcon

routeEndIcon: undefined | string

- Defined in lib/api/ISpecification.ts:52

### Optional routePoints

routePoints: undefined | string

- Defined in lib/api/ISpecification.ts:51

### Optional routeStartIcon

routeStartIcon: undefined | string

- Defined in lib/api/ISpecification.ts:53

### Optional rows

rows: undefined | number

- Defined in lib/api/ISpecification.ts:40

### Optional selected

selected: undefined | false | true

- Defined in lib/api/ISpecification.ts:38

### Optional selectedMarkerIcon

selectedMarkerIcon: undefined | string

- Defined in lib/api/ISpecification.ts:47

### Optional sieve

sieve: undefined | false | true

- Defined in lib/api/ISpecification.ts:37

### Optional size

size: undefined | string

- Defined in lib/api/ISpecification.ts:19

### Optional source

source: undefined | string

- Defined in lib/api/ISpecification.ts:13

### Optional src

src: undefined | string

- Defined in lib/api/ISpecification.ts:21

### Optional step

step: undefined | string

- Defined in lib/api/ISpecification.ts:20

### Optional text

text: undefined | string

- Defined in lib/api/ISpecification.ts:8

### Optional timestamp

timestamp: undefined | string

- Defined in lib/api/ISpecification.ts:16

### Optional trigger

trigger: undefined | string

- Defined in lib/api/ISpecification.ts:43

### type

type: string

- Defined in lib/api/ISpecification.ts:5

### Optional value

value: undefined | string

- Defined in lib/api/ISpecification.ts:12

### Optional valueType

valueType: undefined | string

- Defined in lib/api/ISpecification.ts:25

### Optional values

values: Array<string>

- Defined in lib/api/ISpecification.ts:36

### Optional width

width: undefined | string

- Defined in lib/api/ISpecification.ts:14

### Optional wrapped

wrapped: undefined | string

- Defined in lib/api/ISpecification.ts:44

### Optional zoom

zoom: undefined | number

- Defined in lib/api/ISpecification.ts:50

### Optional zoomByRadius

zoomByRadius: undefined | number

- Defined in lib/api/ISpecification.ts:58

Generated using TypeDoc